Skip to main content
PUT
/
virtual_tag_configs
/
{token}
/
async
Update virtual tag config asynchronously
curl --request PUT \
  --url https://api.vantage.sh/v2/virtual_tag_configs/{token}/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "overridable": true,
  "backfill_until": "2023-12-25",
  "collapsed_tag_keys": [
    {
      "key": "<string>",
      "providers": [
        "<string>"
      ],
      "filter": "<string>"
    }
  ],
  "values": [
    {
      "filter": "<string>",
      "name": "<string>",
      "business_metric_token": "<string>",
      "display_name": "<string>",
      "label_transforms": [
        {
          "type": "<string>",
          "delimiter": "<string>",
          "index": 123,
          "template": "<string>"
        }
      ],
      "percentages": [
        {
          "value": "<string>",
          "pct": 123
        }
      ],
      "date_ranges": [
        {
          "start_date": "<string>",
          "end_date": "<string>"
        }
      ]
    }
  ]
}
'
{
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "status_url": "/v2/virtual_tag_configs/async/550e8400-e29b-41d4-a716-446655440000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

token
string
required

Body

application/json

Asynchronously updates an existing VirtualTagConfig.

key
string

The key of the VirtualTagConfig.

overridable
boolean | null

Whether the VirtualTagConfig can override a provider-supplied tag on a matching Cost.

backfill_until
string<date> | null

The earliest month the VirtualTagConfig should be backfilled to.

collapsed_tag_keys
object[]

Tag keys to collapse values for.

values
object[]

Values for the VirtualTagConfig, with match precedence determined by order in the list.

Response

Request accepted for processing

AsyncVirtualTagConfigUpdate model

request_id
string
required

The request ID of the async virtual tag config update.

Example:

"550e8400-e29b-41d4-a716-446655440000"

status_url
string
required

The status path of the async virtual tag config update.

Example:

"/v2/virtual_tag_configs/async/550e8400-e29b-41d4-a716-446655440000"